.\"#ident "%W% %G%"
.\"
.\" # Copyright (C) 1994 Kubota Graphics Corp.
.\" # 
.\" # Permission to use, copy, modify, and distribute this material for
.\" # any purpose and without fee is hereby granted, provided that the
.\" # above copyright notice and this permission notice appear in all
.\" # copies, and that the name of Kubota Graphics not be used in
.\" # advertising or publicity pertaining to this material.  Kubota
.\" # Graphics Corporation MAKES NO REPRESENTATIONS ABOUT THE ACCURACY
.\" # OR SUITABILITY OF THIS MATERIAL FOR ANY PURPOSE.  IT IS PROVIDED
.\" # "AS IS", WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING THE
.\" # IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" # PURPOSE AND KUBOTA GRAPHICS CORPORATION DISCLAIMS ALL WARRANTIES,
.\" # EXPRESS OR IMPLIED.
.\"
.TH DdInqColorTableSize 3D "Dore"
.SH NAME
DdInqColorTableSize \- Return the number of entries in the color lookup table
.SH SYNOPSIS
.nf
.ft 3
C:
.in  +.5i
DtInt DdInqColorTableSize(device)
DtObject device;
.sp
.in -.5i
FORTRAN:
.in +.5i
INTEGER*4 DDQCTS(DEVICE)
INTEGER*4 DEVICE
.in -.5i
.fi
.SH DESCRIPTION
.IX DDQCTS
.IX DdInqColorTableSize
.I DdInqColorTableSize
returns the number of entries in the color lookup table for the
device, \f2device\fP.  The color table defines the
mapping between pixel values and colors displayed on the screen.
.PP
\f2DdInqColorEntries\fP <\f2DDQCE\fP> may be used to 
examine the values in the color
lookup table. \f2DdSetColorEntries\fP <\f2DDSCE\fP> 
may be used to set the entries
in the lookup table (on devices that have writable tables.
.SH ERRORS
.I DdInqColorTableSize
will fail if the device handle is invalid; the value -1 is returned.
.TP 15
[WARNING - invalid device handle]
.SH "SEE ALSO"
DdInqColorEntries(3D), DdSetColorEntries(3D)
