.\"#ident "%W% %G%"
.\"
.\" # Copyright (C) 1994 Kubota Graphics Corp.
.\" # 
.\" # Permission to use, copy, modify, and distribute this material for
.\" # any purpose and without fee is hereby granted, provided that the
.\" # above copyright notice and this permission notice appear in all
.\" # copies, and that the name of Kubota Graphics not be used in
.\" # advertising or publicity pertaining to this material.  Kubota
.\" # Graphics Corporation MAKES NO REPRESENTATIONS ABOUT THE ACCURACY
.\" # OR SUITABILITY OF THIS MATERIAL FOR ANY PURPOSE.  IT IS PROVIDED
.\" # "AS IS", WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING THE
.\" # IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" # PURPOSE AND KUBOTA GRAPHICS CORPORATION DISCLAIMS ALL WARRANTIES,
.\" # EXPRESS OR IMPLIED.
.\"
.TH DvSetShadeIndex 3D "Dore"
.SH NAME
DvSetShadeIndex \- Set the shade index of a view
.SH SYNOPSIS
.nf
.ft 3
C:
.in  +.5i
void DvSetShadeIndex (view, index)
DtObject view;
DtInt index;
.in  -.5i
.sp
FORTRAN:
.in  +.5i
CALL DVSSI(VIEW, INDEX)
INTEGER*4 VIEW
INTEGER*4 INDEX
.in  -.5i
.fi 
.SH DESCRIPTION
.IX DVSSI
.IX DvSetShadeIndex
\f2DvSetShadeIndex\fP sets the shade index for the view specified
by the parameter \f2view\fP.  The shade index parameter \f2index\fP
specifies the shade range index to use when displaying on a
device with a visual
type of \f2DcPseudoColor\fP <\f2DCPSUC\fP> and a shade mode of 
\f2DcRange\fP <\f2DCRNG\fP>.
.SH ERRORS
.I DvSetShadeIndex
fails if the view handle is invalid.
.TP 15
[WARNING - invalid view handle]
.SH DEFAULTS
The default value of \f2index\fP is 1.
.SH SEE ALSO
.na
.nh
DdInqShadeMode(3D), DdInqVisualType(3D), DoShadeIndex(3D), DvInqShadeIndex(3D) 
.ad
.hy
